<?php

namespace common\modules\school\components;

class Utilities
{
   public static function checkurl($url) {
        // режем левые символы и крайние пробелы
        $url=trim($url);
        // если пусто - выход
        if (strlen($url)==0) return 1;
        //проверяем УРЛ на правильность
        if (!preg_match("~^(?:(?:https?|ftp|telnet)://(?:[a-z0-9_-]{1,32}".
        "(?::[a-z0-9_-]{1,32})?@)?)?(?:(?:[a-z0-9-]{1,128}\.)+(?:com|net|".
        "org|mil|edu|arpa|gov|biz|info|aero|inc|name|[a-z]{2})|(?!0)(?:(?".
        "!0[^.]|255)[0-9]{1,3}\.){3}(?!0|255)[0-9]{1,3})(?:/[a-z0-9.,_@%&".
        "?+=\~/-]*)?(?:#[^ '\"&<>]*)?$~i",$url,$ok))
        return -1; // если не правильно - выход
        // если нет протокала - добавить
        if (!strstr($url,"://")) $url="http://".$url;
        // заменить протокол на нижний регистр: hTtP -> http
        $url=preg_replace("~^[a-z]+~ie","strtolower('\\0')",$url);
        return $url;
     }
    
}